net.minecraft.world

## Class WorldType

- java.lang.Object
- - net.minecraft.world.WorldType

-     public class WorldType
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BiomeGenBase[]` | `base11Biomes`
    `static BiomeGenBase[]` | `base12Biomes`
    `static WorldType` | `DEFAULT` Default world type.
    `static WorldType` | `DEFAULT_1_1` Default (1.1) world type.
    `static WorldType` | `FLAT` Flat world type.
    `static WorldType` | `LARGE_BIOMES` Large Biome world Type.
    `static WorldType[]` | `worldTypes` List of world types.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldType(int par1, String par2Str)`
    `WorldType(int par1, String par2Str, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNewBiome(BiomeGenBase biome)`
    `BiomeGenBase[]` | `getBiomesForWorldType()`
    `boolean` | `getCanBeCreated()`
    `IChunkProvider` | `getChunkGenerator(World world, String generatorOptions)`
    `WorldChunkManager` | `getChunkManager(World world)`
    `float` | `getCloudHeight()`
    `int` | `getGeneratorVersion()` Returns generatorVersion.
    `double` | `getHorizon(World world)`
    `int` | `getMinimumSpawnHeight(World world)`
    `int` | `getSpawnFuzz()` Gets the spawn fuzz for players who join the world.
    `String` | `getTranslateName()`
    `WorldType` | `getWorldTypeForGeneratorVersion(int par1)`
    `int` | `getWorldTypeID()`
    `String` | `getWorldTypeName()`
    `boolean` | `handleSlimeSpawnReduction(Random random, World world)`
    `boolean` | `hasVoidParticles(boolean flag)`
    `boolean` | `isCustomizable()`
    `boolean` | `isVersioned()` Returns true if this world Type has a version associated with it.
    `void` | `onCustomizeButton(Minecraft instance, GuiCreateWorld guiCreateWorld)` Called when the 'Customize' button is pressed on world creation GUI
    `void` | `onGUICreateWorldPress()` Called when 'Create New World' button is pressed before starting game
    `static WorldType` | `parseWorldType(String par0Str)`
    `void` | `removeBiome(BiomeGenBase biome)`
    `double` | `voidFadeMagnitude()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### base11Biomes

          public static final BiomeGenBase[] base11Biomes

    - #### base12Biomes

          public static final BiomeGenBase[] base12Biomes

    - #### worldTypes

          public static final WorldType[] worldTypes

      List of world types.

    - #### DEFAULT

          public static final WorldType DEFAULT

      Default world type.

    - #### FLAT

          public static final WorldType FLAT

      Flat world type.

    - #### LARGE_BIOMES

          public static final WorldType LARGE_BIOMES

      Large Biome world Type.

    - #### DEFAULT_1_1

          public static final WorldType DEFAULT_1_1

      Default (1.1) world type.

  - ### Constructor Detail

    - #### WorldType

          public WorldType(int par1,
                   String par2Str)

    - #### WorldType

          public WorldType(int par1,
                   String par2Str,
                   int par3)

  - ### Method Detail

    - #### getWorldTypeName

          public String getWorldTypeName()

    - #### getTranslateName

          public String getTranslateName()

    - #### getGeneratorVersion

          public int getGeneratorVersion()

      Returns generatorVersion.

    - #### getWorldTypeForGeneratorVersion

          public WorldType getWorldTypeForGeneratorVersion(int par1)

    - #### getCanBeCreated

          public boolean getCanBeCreated()

    - #### isVersioned

          public boolean isVersioned()

      Returns true if this world Type has a version associated with it.

    - #### parseWorldType

          public static WorldType parseWorldType(String par0Str)

    - #### getWorldTypeID

          public int getWorldTypeID()

    - #### getChunkManager

          public WorldChunkManager getChunkManager(World world)

    - #### getChunkGenerator

          public IChunkProvider getChunkGenerator(World world,
                                         String generatorOptions)

    - #### getMinimumSpawnHeight

          public int getMinimumSpawnHeight(World world)

    - #### getHorizon

          public double getHorizon(World world)

    - #### hasVoidParticles

          public boolean hasVoidParticles(boolean flag)

    - #### voidFadeMagnitude

          public double voidFadeMagnitude()

    - #### getBiomesForWorldType

          public BiomeGenBase[] getBiomesForWorldType()

    - #### addNewBiome

          public void addNewBiome(BiomeGenBase biome)

    - #### removeBiome

          public void removeBiome(BiomeGenBase biome)

    - #### handleSlimeSpawnReduction

          public boolean handleSlimeSpawnReduction(Random random,
                                          World world)

    - #### onGUICreateWorldPress

          public void onGUICreateWorldPress()

      Called when 'Create New World' button is pressed before starting game

    - #### getSpawnFuzz

          public int getSpawnFuzz()

      Gets the spawn fuzz for players who join the world. Useful for void world types.
      Returns:
        Fuzz for entity initial spawn in blocks.

    - #### onCustomizeButton

          public void onCustomizeButton(Minecraft instance,
                               GuiCreateWorld guiCreateWorld)

      Called when the 'Customize' button is pressed on world creation GUI
      Parameters:
        `instance` - The minecraft instance
        `guiCreateWorld` - the createworld GUI

    - #### isCustomizable

          public boolean isCustomizable()

    - #### getCloudHeight

          public float getCloudHeight()